```TXT
********************************************************************************
* Muster der Moeglichkeiten von Formaten mit der Auszeichungssparche Markdown.
* ---------------------------------------------------------------------------- *
* Copyright by Hilfe & Service von EDV-Fachleuten        Web  www.HuSvEDVF.de  *
*              Dipl. Phys Harald Schaerfer               Tel. (0345) 521 13 40 *
*              Reilstr. 22 (Eingang Mozartstr.)          Funk (0177) 521 13 40 *
*                                                        EM   Info@HuSvEDVF.de *
*              D-06114 Halle/Saale                       Fax  (0345) 521 13 41 *
* Edit see history!                                                            *
********************************************************************************
```
Markdown ist eine vereinfachte Auszeichnungssprache,
die von John Gruber entworfen und im Dezember 2004 mit Version 1.0.1 spezifiziert wurde.
Aaron Swartz war einziger Beta-Tester und half ma&szlig;geblich bei der Entwicklung der Syntax.

Herr TSc stellte mir die Sprache 2023 vor und nach und nach begannen wir sie in unserer Firma zu nutzen.


# &Uuml;berschrift 1. Ordnung


## &Uuml;berschrift 2. Ordnung


### &Uuml;berschrift 3. Ordnung


#### &Uuml;berschrift 4. Ordnung


##### &Uuml;berschrift 5. Ordnung


###### &Uuml;berschrift 6. Ordnung



# Zeichenformat

## Betonungen
Es gibt
- *Kursiv* mit Stern von und nach dem Text,
- **Fett** mit 2 Sternen vor und nach dem Text;
- ~~Durchgestrichen~~  mit 2*Tilde vor und nach dem Text und oder
- ~~***Alles Drei***~~ mit 2*Tilde und 1+2 Sterne vor und in umgekehrter Reihenfolge nach dem Text.


## Maskierungszeichen
\# ist durch das vorangestellte Backslash-Zeichen ´\\#´ ist das Doppelkreuz keine Einleitung f&uuml;r eine &Uuml;berschrift mehr, da es maskiert wurde.


## Pr&auml;formierten Text


### Text im Textfluss
Des weiterem Text mit nichtproportionale Schrift im Text kann durch ein `Backtick` vor und nach dem Wort realsiert werden.
Das Wort Backtik steht f&uuml;r das nach rechts gestrichene Akzentzeichen, auch Gravis (`) genannt.


### Textblock
```
Soll ein ganzer Textblock in nichtproportionaler Schrift dargestellt weerden,
sind jeils 3 Backtik vor und nach dem Block in einer seperaten Zeile zu schreiben.
```

## Links
Der Titel, welcher sich zwischen den Anf&uuml;hrungszeichen befindet, ist optional.
Er zeigt sich, wenn man mit dem Mauszeiger auf den Link zeigt.
Beachten Sie, dass Links immer im aktuellen Fenster ge&ouml;ffnet werden und
es momentan nicht eindeutig definiert ist, dieses Verhalten zu &auml;ndern.

[Hier](https://www.husvedvf.de "Die beste Webseite im Internet") wird einem geholfen.


## Bilder
Bilder funktionieren im Prinzip genauso, wie Links. Der einzige Unterschied ist, dass Sie ein ! (Ausrufezeichen) vor der eckigen Klammer schreiben.

![TextWennBildNichtDa](_Muster.png "Text zum Bild.") Und wie geht es weiter? Text, Text, Text wie in einem Blocksatz.



# Absatzformat

## Zeilenumbr&uuml;che
In eine Text wird ein Zeilenumbruch durch das Schreiben von mindestens 2&nbsp;Leerzeichen am Zeilenende  
eingef&uuml;gt.


## Abs&auml;tze
~~Einen Absatz erreicht man, in dem einen neue Zeile mit mindestens 2&nbsp;Leerzeichen Inhalt eingef&uuml;gt wird.~~

*TSc: Einen Absatz erreicht man, in dem eine neue, leere Zeile eingef&uuml;gt wird.*

Dadurch wird das Schreiben in einem neuen Absatz fortgef&uuml;hrt.

Einen Zeilenumbruch in dem man am gewollten Ende einer Zeile, vor dem Zeilenumbruch mit der [Enter]-Taste,   
ebenfalls 2 bis 3 Leerzeichen anf&uuml;gt.

~~Zentrieren mit   
Mitte~~
*TSc: Kann Markdown nicht.*

## Zitieren
Das Blockquote-Element dient zum Zitieren, Darstellen von Verschachtelungen, oder auch zum Zeigen eines Gespr&auml;chsverlaufs.
Bei einem Zitat schreibt man am Beginn einer Zeile ein > (gr&ouml;&szlig;er-als).
>E: Klug ist jener, der Schweres einfach sagt.

Um zu verschachteln, verwendet man mehr, als nur ein > (gr&ouml;er-als).
>E: Klug ist jener, der Schweres einfach sagt.
>> T: Tolles Zitat, Herr Einstein.

Es sei noch anzumerken, dass das Blockquote-Element standardm&auml;&szlig;ig keine Formatierung hat.
Richtig w&auml;re ein senkrechter Strich auf der linken Seite des Zitats. Im Falle des Beispiels, habe ich diesen senkrechten Strich mal hinzugef&uuml;gt.

## Horizontale Linien
Diese k&ouml;nnen mit 3 Minus-, 3 Underscore, oder Mal-Zeichen eingeleitet werden. Der Text dar&uuml;ber wird Gro&szlig; wie eine &Uuml;berschrift geschrieben.
---
***
*TSc:*
___

## Fu&szlig;noten
Text Text [^1] Text [^2] Zwischen Fusznoten und Text sollte immer eine Leerzeile sein. Die Fusznoten selber werden am Ende des Textes plaziert.


[^1]: Der Text zur Fusznote 1  hat eine hochgestellte 1 und hat rechts einen Backlink.~

[^2]: Text zur Fusznote 2  hat eine hochgestellte 2 und hat rechts einen Backlink.

*TSc: Sowas funktioniert nicht.*

![02.jpg](02.jpg "Der Text mit Fu&szlig;noten.") Siehe Oben, 
so sieht der Text mit Fu&szlig;noten im Text aus.

![03.jpg](03.jpg "Die Fu&szlig;noten selber") Siehe Unten, 
am Ende des Textes, sind die Fußnoten aufgelistet.

# Listenformate

## Unsortierte 
- Diese beginnen am Zeilenanfang mit einem Minuszeichen (-), 
- oder einem Pluszeichen (+) oder 
- einem Malzeichen (*). Nach 2&nbsp;Leerzeichen erfolgt ein Zeilenumbruch   
Innerhalb der Liste sollte immer das gleiche Zeichen verwendet werden.

Im n&auml;chsten Fall folgen sortierte Listen.


## Sortierte
1. Diese beginnen mit einer Zahl plus Punkt.
2. Wird dagegen die Zahl durch 3&nbsp;Leerzeichen einger&uuml;ckt, wird dies eine Unteraufz&auml;hlung unter Zweitens.
   1. Die Unteraufz&auml;hlung muss selbst wieder mit 1. beginnen.
   2. ...
3. Werden die f&uuml;hrenden Leerzeichen wieder weggelassen, wird die sortierte Liste der h&ouml;herer Ordnung fort gef&uuml;hrt.


## Checklisten
[ ] Punkt 1   
[ ] Punkt 2   
[x] Punkt 3

*TSc: Existiert in Markdown nicht, aber ist bekannte Darstellung f&uuml;r Checkboxen.*


# Tabellen
Die Spalten werden durch senkrechte Striche eingerahmt.
In den ersten Zeilen der Tabelle steht die &Uuml;berschrift.
Unter der &Uuml;berschrift gibt es eine Zeile f&uuml;r die horizontale Ausrichtung der Spalte. 
Dargestellt durch Doppelpunkt und Bindestrich.
Die Position des Doppelpunkt zum Bindestrich gibt die Ausrichtung (Linksb&uuml;ndig, Blocksatz, Rechtsb&uuml;ndig) an.   
Zeilenumbr&uuml;che k&ouml;nnen durch HTML Tag `<br>` veranla&szlig;t werden!

|Position soll <br/> rechtsb&uuml;ndig| Beschreibung sollte linksb&uuml;ndig sein | Jahr <br/> zentriert | Kosten in &euro; <br>rechtsb&uuml;ndig |
|-:|:-|:-:|-:|
| 1. |Des Verk&auml;ufers vom Imbiss A1 letztes Jahr| 2021 | 2.697,47 |
| 2. |Unser 1. Jahr nach der &Uuml;bernahme des Imbiss A1| 2022 | 7.694,59 |



# Referenzieren
Zu einer der N&uuml;tzlichsten, jedoch leider auch meistens unbekannten Funktion geh&ouml;rt das "Referenzieren".
Diese funktionieren &auml;hnlich wie eine Auflistung von Quellen, nur sehen Sie diese Liste dann nicht.
Stattdessen k&ouml;nnen Sie nun &uuml;berall im Dokument auf solch eine Quelle verweisen.
Der Aufbau ist wieder &auml;hnlich, wie das Verlinken oder Einf&uuml;gen von Bildern, was auch Sinn macht, weil genau das wollen wir ja "Referenzieren".
Diesmal gibt es aber 2 Dinge zu erkl&auml;ren.

## Referenzen auflisten:
Bevor man Sie benutzt, muss man erst einmal wissen, wie man sie erstellt. Wir erstellen nun 3 Referenzen:

*TSc: Syntax korrigiert:*

[Q544]: https://www.husvedvf.de/tool/eqpmt/aid/bibo/book.htm#Q544 "c't Zeitschrift; Team; Heise Medien GmbH & Co. KG; ISSN: 0724-8679"
[HuSvEDVF]: https://www.husvedvf.de "Hilfe & Service von EDV-Fachleuten"
[NoExist]: https://www.noexist.de "No Exist"
[limdr]: https://www.lebenimmdr.de "Leben im Mitteldeutschen Raum"

Diese schreibt man am besten am Ende des Dokuments, aber im Prinzip spielt es keine Rolle, da die Liste selbst unsichtbar bleibt.
Was auch auff&auml;llt, man kann hinter dem Link im doppelten Hochkomma noch einen Titeltext angeben (HTML-Titel-Attribut).

*TSc: Das stammt aus einer älteren Version der Markdown-Seite:*
## Referenzen benutzen:
Da wir nun eine Liste von Referenzen haben, k&ouml;nnen wir diese auch Nutzen. Der Clou dabei ist, das wir nur [Q544] noch den Teil mit den eckigen Klammern schreiben m&uuml;ssen:

Text Text Text [HuSvEDVF] [HuSvEDVF] [HuSvEDVF]
[NoExist] [NoExist] [NoExist]
[limdr] [limdr] [limdr] Text Text Text

Der Name der Referenz ist dann also der Link-Text selbst.
Dies funktioniert sogar mit Bildern,
allerdings kommt das Ausrufezeichen dann nicht in die Referenzliste,
sondern an die Stelle,
wo man die Referenz benutzt ([NAME] -> ![NAME]).



# Historie
2024-04-15, Mo./HSc: v0.127
Im Dillinger getestet, eine PDF erstellt f&uuml;r die Ansicht und f&uuml;r die Auslieferung vorbereitet.

20243-04-12, Fr. /TSc: v0.125   
Korrekturen mit `*TSc:*` markiert.

2024-04-06, So./HSc: v0.120   
Links, Bilder, Referenzieren hinzugef&uuml;gt. Diese sind noch unklar.

2024-04-01, Do./HSc: v0.110   
Erweiterung der Tabellen um eine Textspalte

2024-03-27, Mi./HSc: v0.100   
Strukturiert mit Zeichen-, Absatzformaten  und Tabellen wie Office-Programmen.


# Anhang

## Quellen
/1/	[Hilfe & Service von EDV-Fachleuten/Mark Down](https://www.husvedvf.de/hasw/mat/office/markdown.htm "Unsere Webseite zum Thema Markdown im Internet")

/2/	[Mark Down Editor Dillinger](https://dillinger.io/ "Ohne Installation nutzbar!")

/3/ [CommonMark Spec v0.10	from 2014-11-06 by John MacFarlane](https://spec.commonmark.org/0.11/changes.html "Eine Liste von erkl&auml;rten Beispielen")

`******* EOT ******************************************************************`
